gtkmm: Gtk::VolumeButton Class Reference

gtkmm 3.1.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gtk::VolumeButton Class Reference
Widgets

A button which pops up a volume control. More...

Inheritance diagram for Gtk::VolumeButton:
[legend]
Collaboration diagram for Gtk::VolumeButton:
[legend]

List of all members.

## Public Member Functions
virtual | ~VolumeButton ()
GtkVolumeButton* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkVolumeButton* | gobj () const
| Provides access to the underlying C GtkObject.
| VolumeButton ()
| Creates a olumeButton, with a range between 0 and 100, with a stepping of 2.
## Related Functions
(Note that these are not member functions.)
Gtk::VolumeButton* | wrap (GtkVolumeButton* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A button which pops up a volume control.

Gtk::VolumeButton is a subclass of Gtk::ScaleButton that has been tailored for use as a volume control widget with suitable icons, tooltips and accessible labels.

Since gtkmm 2.12:

## Constructor & Destructor Documentation

virtual Gtk::VolumeButton::~VolumeButton | ( |  | ) | `[virtual]`

Gtk::VolumeButton::VolumeButton | ( |  | ) |

Creates a olumeButton, with a range between 0 and 100, with a stepping of 2.

Volume values can be obtained and modified using the methods from the ScaleButton base class.

## Member Function Documentation

GtkVolumeButton* Gtk::VolumeButton::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::ScaleButton.

const GtkVolumeButton* Gtk::VolumeButton::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::ScaleButton.

## Friends And Related Function Documentation

Gtk::VolumeButton* wrap | ( | GtkVolumeButton * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/volumebutton.h